Bay 12 Games Forum

Please login or register.

Login with username, password and session length
Advanced search  

Author Topic: Do we need to start a new namespace for .44 ?  (Read 4329 times)

Eschar

  • Bay Watcher
  • Foo, bar, quux, baz...
    • View Profile
Do we need to start a new namespace for .44 ?
« on: November 26, 2017, 05:54:17 pm »

The title. I'm not acquainted enough with the namespace stuff to tell.
Logged
"Continue struggling, laws of physics be darned."
 - NRDL
"What, are you stupid or something? Every one of the snake's bones is crushed! Its internal organs are torn apart! There is no way you can - (6) You resuscitate the snake."
- Gatleos

CLA

  • Bay Watcher
    • View Profile
Re: Do we need to start a new namespace for .44 ?
« Reply #1 on: November 26, 2017, 06:33:27 pm »

I don't think so. Savegames are compatible too. Regardless, the wiki already has been updated to include .44 in the DF2014 namespace.

On the other hand, I'm wondering if it's necessary and useful to still keep the "only in 0.42" disclaimer on some pages. I can't imagine that the group of people who play a version newer than 34.xx and older than whatever is current, while at the same time being oblivious to DF development or not savvy enough to realize the differences, is that big. Otherwise, should we now create a disclaimer for 0.44 too?
Logged
CLA - an ASCII-like Graphic Pack with simplified letter-like creature graphics. The simple and clean looks of ASCII with distinct creature graphics - best of both worlds!

http://www.bay12forums.com/smf/index.php?topic=105376.0

Doorkeeper

  • Bay Watcher
    • View Profile
Re: Do we need to start a new namespace for .44 ?
« Reply #2 on: February 01, 2018, 01:02:01 am »

On the other hand, I'm wondering if it's necessary and useful to still keep the "only in 0.42" disclaimer on some pages. I can't imagine that the group of people who play a version newer than 34.xx and older than whatever is current, while at the same time being oblivious to DF development or not savvy enough to realize the differences, is that big. Otherwise, should we now create a disclaimer for 0.44 too?

I also think the 0.42 disclaimers are obsolete by this point. The {{new in v0.42}} template should be phased out since 0.42.01 was released two years ago, and as you mentioned most people (after 34.11) have likely moved from these versions by now to +43.xx. Since 0.44 is a fairly major update, even more players should have switched to the latest versions. New players wouldn't be playing the old ones. I assume that anyone still playing in pre-0.42 would have a good knowledge of what features are present in their versions and what's not by now.

I have no need for the release disclaimer-notices, but they are probably useful for returning old players and modders. A {{new in 0.44}} template has been added, but creating new templates every version is very unnecessary. A single template with changeable parameters (for example {{new in|xx.xx}}) is better.
Logged